//
// Display big dipper and polaris and show how things rotate as the night goes by
// 
// functions in here require that the  file bwlHelperFuncs.inc has already been included
// 
// License: Public Domain
// Author: Brewster LaMacchia
// http://lamacchia.us

function bwlBigDipper()
{
	// Big Dipper
	bwlCommentary_2("In the North is the Big Dipper", 
				"More properly known as Ursa Major - the Great Bear");
	core.selectObjectByName("Ursa Major", true);
	bwlCommentary("In the evening in the fall it is low on the horizon");

    StelMovementMgr.autoZoomIn(6);
	core.wait(4);
    StelMovementMgr.zoomTo(70,8);
	ConstellationMgr.setFlagLines(true);
	core.wait(7);
	
	ConstellationMgr.setFlagArt(true);

	core.wait(4);
	ConstellationMgr.setFlagLines(false);
	core.wait(4);
	ConstellationMgr.setFlagArt(false);
	
	bwlCommentary("Follow the two bright stars of the dipper's bowl");
	idDubhe = LabelMgr.labelObject("Dubhe" , "HP 54061", false, 16, "#aaaaaa", "S", 10);
	LabelMgr.setLabelShow(idDubhe, true);
	idMerak = LabelMgr.labelObject("Merak" , "HP 53910", false, 16, "#aaaaaa", "S", 10);
	LabelMgr.setLabelShow(idMerak, true);
    StelMovementMgr.zoomTo(75,4);
	
	//Polaris
	
	bwlCommentary("To Polaris, or the North Star");
	idPolaris = LabelMgr.labelObject("Polaris" , "HP 11767", false, 16, "#aaaaaa", "S", 10);
	LabelMgr.setLabelShow(idPolaris, true);
	core.selectObjectByName("Polaris", true);
	core.wait(.5);
	StelMovementMgr.setFlagTracking(true);		// kind of cheating, we should lock on zenith 

	core.wait(2);
	LabelMgr.setLabelShow(idPolaris, false);
	LabelMgr.setLabelShow(idMerak, false);
	LabelMgr.setLabelShow(idDubhe, false);
	core.wait(1);
	bwlCommentary("Polaris, since it is almost directly over Earth's North pole");
	bwlCommentary_2("appears fixed in the night sky, with the other stars",
					"rotating around it.");

	core.moveToAltAzi(20, 0, 3);
    StelMovementMgr.zoomTo(80,8);

	LabelMgr.setLabelShow(idPolaris, true);
	core.wait(2);

	bwlCommentary("We can speed up time to illustrate this");
	core.setTimeRate(550); 	// speed up
	bwlWaitHours(4);     	// let fours hours go by
	core.setTimeRate(1); 	// back to real time
	bwlCommentary("Four hours were just simulated. 4 hours is");
	bwlCommentary_2("one-sixth of a day. One sixth of 360 degrees",
		"is 60 degrees, and that is how much everything rotated.");
	
	bwlCommentary_2("We can repeat it with the constellation lines shown.",
			"These lines show the general shape of each constellation.");
	bwlCommentary("You will see them on most star charts.");
	core.wait(4);
	core.setDate("- 4 hours", "local"); 
	core.wait(.5);
	ConstellationMgr.setFlagLines(true);
	core.wait(.5);
	ConstellationMgr.setFlagLabels(true);
	core.wait(.5);

	core.setTimeRate(550); // speed up
	core.wait(.5);
	bwlCommentary("Remember, the Earth is spinning, not the stars!");

	bwlWaitHours(4);     	// let fours hours go by
	core.setTimeRate(1); // back to real time
	core.wait(.5);
	bwlCommentary("Let's set the clock back to where we started");
	ConstellationMgr.setFlagLines(false);
	core.wait(.5);
	ConstellationMgr.setFlagLabels(false);
	core.wait(2);

	StelMovementMgr.setFlagTracking(false);		
	core.setDate("- 4 hours", "local"); 
	LabelMgr.setLabelShow(idPolaris, false);
	core.wait(1);
 }