//
// Functions to display selected fall objects (Northern Hemisphere)
// 
// functions in here require that the  file bwlHelperFuncs.inc has already been included
// 
// License: Public Domain
// Author: Brewster LaMacchia
// http://lamacchia.us

function bwlM13()
{
	// M13
	ConstellationMgr.setFlagLines(true);
	core.selectObjectByName("M13", true);
	StelMovementMgr.setFlagTracking(true);	// keep  centered	
	core.wait(2);
	bwlCommentary_2("You may see Globular clusters tonight.",
	     "Here's an example called M13");
	StelMovementMgr.zoomTo(90,4);
	ConstellationMgr.setFlagArt(true);
    StelMovementMgr.zoomTo(45,4);
	bwlCommentary_2("Found in the constellation Hercules",
		"this particular example is about 25,000 light years away");
 	core.wait(4);
	ConstellationMgr.setFlagLines(false);
	bwlCommentary("Globular clusters are different than open clusters.");
	core.wait(1);
	bwlCommentary("Open clusters usually contain just a few hundred stars");
	core.wait(1);
	bwlCommentary("and are only 100s of millions of years old at the most.");
	ConstellationMgr.setFlagArt(false);
    StelMovementMgr.autoZoomIn(6);
	core.wait(1);
	bwlCommentary("Globular clusters are typically billions of years old");
	core.wait(1);
	bwlCommentary("and can contain 100s of thousands of stars.");
	core.wait(1);
	bwlCommentary_2("Globular clusters orbit around our galaxy's center",
		"outside of the main disk of stars.");
	core.wait(2);
	StelMovementMgr.autoZoomOut(4);
	StelMovementMgr.setFlagTracking(false);	// release	
 	core.selectObjectByName("", false);
    core.wait(4);
 }


 function bwlDoubleCluster()
 {
	// NGC869 / 884
	ConstellationMgr.setFlagLines(true);
	core.selectObjectByName("Double Cluster", true);
	StelMovementMgr.setFlagTracking(true);	// keep  centered	
	core.wait(2);
	bwlCommentary_2("You may see Open Clusters tonight.",
	     "Here's an example called the Double Cluster");
	StelMovementMgr.zoomTo(90,4);
	ConstellationMgr.setFlagArt(true);
    StelMovementMgr.zoomTo(45,4);
	bwlCommentary_2("Found in the constellation Perseus",
		"they are about 6800 and 7600 light years away");
 	core.wait(4);
	ConstellationMgr.setFlagLines(false);
	bwlCommentary_2("From a dark location you can see them without aid, ",
		"and binoculars will show them nicely");
	bwlCommentary("Look below the constellation Cassiopeia");
	ConstellationMgr.setFlagArt(false);
	ConstellationMgr.setFlagLines(true);
	bwlCommentary_2("Which looks like the letter W",
			"turned on its side");
 	core.wait(4);
    StelMovementMgr.autoZoomIn(5);
 	core.wait(2);
	bwlCommentary("these may contain a few hundred stars each.");
	core.wait(5);
		
	StelMovementMgr.autoZoomOut(4);
	StelMovementMgr.setFlagTracking(false);	// release	
 	core.selectObjectByName("", false);
    core.wait(4);
 }


function bwlM31()
 {
	// NGC869 / 884
	ConstellationMgr.setFlagLines(true);
	core.selectObjectByName("M31", true);
	StelMovementMgr.setFlagTracking(true);	// keep  centered	
	core.wait(2);
	bwlCommentary_2("Another object you can see is M31,",
	     "the Andromeda galaxy");
	StelMovementMgr.zoomTo(90,4);
	ConstellationMgr.setFlagArt(true);
    StelMovementMgr.zoomTo(45,4);
	bwlCommentary_2("Found in the constellation Andromeda",
		"it's about 2.5 million light years away");
 	core.wait(4);
	ConstellationMgr.setFlagLines(false);
	bwlCommentary_2("From a dark location you can see it without aid, ",
		"and binoculars will show a fuzzy patch");
	ConstellationMgr.setFlagArt(false);
 	core.wait(1);
    StelMovementMgr.zoomTo(2.5,4);
	bwlCommentary_2("It's a galaxy similar to our own Milky Way");
 	core.wait(1);
	bwlCommentary_2("Documented by the Ancient Greeks",
	     "it's the farthest away thing you can see without a telescope");
	core.wait(5);
		
    StelMovementMgr.zoomTo(45,4);
    core.wait(1);
	StelMovementMgr.setFlagTracking(false);	// release	
 	core.selectObjectByName("", false);
    core.wait(1);
 }
