//
// some convenient functions used in my scripts.
//
// prefix funcs with bwl so we won't collide with other people's stuff
//
// The idea of the commentary function came from examples provided
// as part of the Stellarium examples.
//
// License: Public Domain
// Author: Brewster LaMacchia
// http://lamacchia.us
//

var sbwlCommentaryTextColor = "#cacaaa"; // this is used in the commentary function
                                  // stylistically this is a global, which is evil...

var nCommentaryTextSize = 30;		// text size on the screen
									// keep in mind things don't scale based on screen size
									// so if you develop on 1920x1200 an dits smaller your text might overflow
									// TODO: use getScreenWidth() to scale the text

// single line of text
function bwlCommentary(text)
{
	var id = LabelMgr.labelScreen(text, 50, 150, false, nCommentaryTextSize, sbwlCommentaryTextColor);
	LabelMgr.setLabelShow(id, true);
	core.wait(3);
	LabelMgr.setLabelShow(id, false);
	core.wait(1);
	LabelMgr.deleteLabel(id);
}
// two lines of text
function bwlCommentary_2(text_1, text_2)
{
	var id_1 = LabelMgr.labelScreen(text_1, 50, 150, false, nCommentaryTextSize, sbwlCommentaryTextColor);
	var id_2 = LabelMgr.labelScreen(text_2, 50, 250, false, nCommentaryTextSize, sbwlCommentaryTextColor);
	LabelMgr.setLabelShow(id_1, true);
	core.wait(1);
	LabelMgr.setLabelShow(id_2, true);
	core.wait(3);
	LabelMgr.setLabelShow(id_1, false);
	core.wait(.5);
	LabelMgr.setLabelShow(id_2, false);
	core.wait(.5);
	LabelMgr.deleteLabel(id_1);
	LabelMgr.deleteLabel(id_2);

}

// the waitfor() func is broken in 10.5 so this does the same thing - sort of
// core.waitFor(sWaitFor, "local") uses ISO time and can be local/utc.
// this function is just lets n hours go by, which is good enough for 
// what is needed here.

function bwlWaitHours(Hours)
{
	if (Hours < 0) return;		// sanity check

	var dfJDStart = core.getJDay();
	var dfTimeNow = 0;
	do
	{
	    core.wait(1);
		dfTimeNow = core.getJDay();
  	}
    while( dfTimeNow < 	dfJDStart	+ (Hours/24));	   // let time go by
}	                                               // didn't check if this works across a day change, etc

